Update a collection address
curl --request PATCH \
--url https://clarus-api.com/api/collection_addresses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "collection_addresses",
"attributes": {
"name": "Acme Supplies Depot (North)",
"address_3": "Leeds"
}
}
}
'import requests
url = "https://clarus-api.com/api/collection_addresses/{id}"
payload = { "data": {
"type": "collection_addresses",
"attributes": {
"name": "Acme Supplies Depot (North)",
"address_3": "Leeds"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'collection_addresses',
attributes: {name: 'Acme Supplies Depot (North)', address_3: 'Leeds'}
}
})
};
fetch('https://clarus-api.com/api/collection_addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "920",
"type": "collection_addresses",
"attributes": {
"name": "Acme Supplies Depot (North)",
"code": "ACME-DEPOT",
"address_3": "Leeds",
"supplier_id": 14
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Collection Addresses
Update a collection address
Update an existing collection address.
PATCH
/
api
/
collection_addresses
/
{id}
Update a collection address
curl --request PATCH \
--url https://clarus-api.com/api/collection_addresses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "collection_addresses",
"attributes": {
"name": "Acme Supplies Depot (North)",
"address_3": "Leeds"
}
}
}
'import requests
url = "https://clarus-api.com/api/collection_addresses/{id}"
payload = { "data": {
"type": "collection_addresses",
"attributes": {
"name": "Acme Supplies Depot (North)",
"address_3": "Leeds"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'collection_addresses',
attributes: {name: 'Acme Supplies Depot (North)', address_3: 'Leeds'}
}
})
};
fetch('https://clarus-api.com/api/collection_addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "920",
"type": "collection_addresses",
"attributes": {
"name": "Acme Supplies Depot (North)",
"code": "ACME-DEPOT",
"address_3": "Leeds",
"supplier_id": 14
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Path Parameters
The unique identifier of the collection address to update
Body
application/json
Show child attributes
Show child attributes
Response
Updated successfully
Show child attributes
Show child attributes
⌘I

